Subject: RE: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: Drew Adams <[email-masked]>
Date: Sat, 24 Oct 2015 01:04:08 -0700 (PDT)

> > > Thank you, indeed I was missing this piece of info.  I am just
> > > wondering: how often are you using this?  Is this a feature which
> > > should be exposed to all emacs beginners?  If yes, it needs to be
> > > documented better.
> >
> > There is a lot in Dired that I think should be exposed/documented
> > better/more.  By default we don't even load dired-x.el or
> > dired-aux.el, and they provide lots of stuff useful even for
> > beginners, including lots of menus.
> >
> > I would be in favor of our loading both of these Dired libraries
> > by default.  There is lots in Dired that users can benefit from,
> > but they are typically unaware of it.
> 
> Aren't the commands and options there autoloaded?

No.

> If not, we could autoload them, which would solve the
> visibility problem without bloating the minimal memory
> footprint too much.  Patches welcome.

No, it would not solve the visibility or discoverability
problem, IMO.  Users are much more likely to find and use
the commands and keys they provide when they are (a) in
the menus and (b) documented in `C-h m'.

As for the minimal footprint: dired.el is not even loaded
by default (`C-x d' is autoloaded).  These 3 libraries
are no big deal, footprint-wise.

*IF* a user chooses to use `C-x d', and thus pay the cost
of loading dired.el, it is not a big deal to load the other
two at the same time and get the benefit of their menu
additions, keys, and commands.  (IMHO.)

But hey, it's been like this for 40 years.  I have no
problem with it continuing like this for another 40. ;-)

(I use Dired+, which does load the other 2, in addition
to adding more stuff to bloat the memory. ;-))